Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECPoint.AbstractFp

    java.lang.Object
      org.bouncycastle.math.ec.ECPoint
          org.bouncycastle.math.ec.ECPoint.AbstractFp

Direct Known Subclasses:
  Curve25519Point, ECPoint.Fp, SecP128R1Point, SecP160K1Point, SecP160R1Point, SecP160R2Point, SecP192K1Point, SecP192R1Point, SecP224K1Point, SecP224R1Point, SecP256K1Point, SecP256R1Point, SecP384R1Point, SecP521R1Point, SM2P256V1Point

Enclosing class:
  ECPoint

public abstract static class ECPoint.AbstractFp
extends ECPoint

Nested Class Summary

Nested classes inherited from class org.bouncycastle.math.ec.ECPoint
`ECPoint.AbstractF2m, ECPoint.AbstractFp, ECPoint.F2m, ECPoint.Fp`

Field Summary

Fields inherited from class org.bouncycastle.math.ec.ECPoint
`curve, EMPTY_ZS, preCompTable, x, y, zs`

Constructor Summary
`protected` | `ECPoint.AbstractFp(ECCurve curve, ECFieldElement x, ECFieldElement y)`
`protected` | `ECPoint.AbstractFp(ECCurve curve, ECFieldElement x, ECFieldElement y, ECFieldElement[] zs)`

Method Summary
`protected boolean` | `getCompressionYTilde()`
`protected boolean` | `satisfiesCurveEquation()`
`ECPoint` | `subtract(ECPoint b)`

Methods inherited from class org.bouncycastle.math.ec.ECPoint
`add, checkNormalized, createScaledPoint, detach, encodeTo, equals, equals, getAffineXCoord, getAffineYCoord, getCurve, getCurveCoordinateSystem, getDetachedPoint, getEncoded, getEncodedLength, getInitialZCoords, getRawXCoord, getRawYCoord, getRawZCoords, getXCoord, getYCoord, getZCoord, getZCoords, hashCode, isInfinity, isNormalized, isValid, multiply, negate, normalize, satisfiesOrder, scaleX, scaleXNegateY, scaleY, scaleYNegateX, threeTimes, timesPow2, toString, twice, twicePlus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ECPoint.AbstractFp

    protected ECPoint.AbstractFp(ECCurve curve,
                                 ECFieldElement x,
                                 ECFieldElement y)

### ECPoint.AbstractFp

    protected ECPoint.AbstractFp(ECCurve curve,
                                 ECFieldElement x,
                                 ECFieldElement y,
                                 ECFieldElement[] zs)

Method Detail

### getCompressionYTilde

    protected boolean getCompressionYTilde()

  Specified by:
    `getCompressionYTilde` in class `ECPoint`

### satisfiesCurveEquation

    protected boolean satisfiesCurveEquation()

  Specified by:
    `satisfiesCurveEquation` in class `ECPoint`

### subtract

    public ECPoint subtract(ECPoint b)

  Specified by:
    `subtract` in class `ECPoint`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD